MooseX::Storage::Format::Storable(3)

NAME
MooseX::Storage::Format::Storable - A Storable serialization role

SYNOPSIS
  package Point;
  use Moose;
  use MooseX::Storage;

  with Storage('format' => 'Storable');

  has 'x' => (is => 'rw', isa => 'Int');
  has 'y' => (is => 'rw', isa => 'Int');

  1;

  my $p = Point->new(x => 10, y => 10);

  ## methods to freeze/thaw into
  ## a specified serialization format

  # pack the class with Storable
  my $storable_data = $p->freeze();

  # unpack the storable data into the class
  my $p2 = Point->thaw($storable_data);

DESCRIPTION
This module will "thaw" and "freeze" Moose classes using Storable. It uses "Storable::nfreeze" by default so that it can be easily used in IPC scenarios across machines or just locally.

One important thing to note is that this module does not mix well with the IO modules. The structures that "freeze" and "thaw" deal with are Storable's memory representation, and (as far as I know) that is not easily just written onto a file. If you want file based serialization with Storable, the please look at the MooseX::Storage::IO::StorableFile role instead.

METHODS

freeze
thaw ($stored)

  Introspection

meta

BUGS
All complex software has bugs lurking in it, and this module is no exception. If you find a bug please either email me, or add the bug to cpan-RT.

AUTHOR
Stevan Little <stevan.little@iinteractive.com>

COPYRIGHT AND LICENSE
Copyright 2007-2008 by Infinity Interactive, Inc.

<http://www.iinteractive.com>

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself.